List of all members
clan::Display Class Reference
clanDisplay Display

Top level display class. More...

`#include <display.h>`

## Static Public Member Functions
Attributes
static DisplayTarget | get_current_target ()
| Returns the currently selected display target. More...
Operations
static void | set_current_target (const DisplayTarget &target)
| Sets the currently selected display target. More...
static void | remove_target (const DisplayTarget &target)
| Remove the target from the target list. More...

## Detailed Description

Top level display class.

The display class provides a static function interface to DisplayWindow and other clanDisplay classes. It uses a selected display window (by default the first created window) to call the equalent functions in DisplayWindow, GraphicContext and such.

The entire point of this is to allow applications with only one window to not pass around a pointer to the display window.

The documentation for this class was generated from the following file:

- Sources/API/Display/display.h